//------------------------------------------------------------------------------
// fwkScreenMessage.js
//------------------------------------------------------------------------------
// Version : 1.0  ( 12/12/2005 )
// Author  : Laurent Gurin 
// Changes : none (creation)
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// CLASS DEFINITION
//------------------------------------------------------------------------------
function ScreenMessage( code, text, type )
{
	//==============================================================================
	// PRIVATE ATTRIBUTES
	//==============================================================================
	var _iCode = code ;
	var _sText = text ;
	var _iType = type ;

	//==============================================================================
	// PUBLIC / PRIVILEGED  METHODS 
	//==============================================================================
	this.getCode = function () 
	{
		return _iCode ;
	}
	//------------------------------------------------------------------------------
	this.getText = function () 
	{
		return _sText ;
	}
	//------------------------------------------------------------------------------
	this.getType = function () 
	{
		return _iType ;
	}
	//------------------------------------------------------------------------------	
	this.toString = function () 
	{
		return "code=" + _iCode + " text='" + _sText + "' type=" + _iType ;
	}
}
//------------------------------------------------------------------------------
//                                THE  END
//------------------------------------------------------------------------------
