package org.objectweb.telosys.auth;

/**
 * Technical user object containing login and password
 * 
 * @author Laurent GUERIN
 *  
 */

public class LoginUser
{
    private String _sLogin;

    private String _sPassword;

    //-------------------------------------------------------------
    /**
     * Constructor
     * @param sLogin
     * @param sPassword
     */
    public LoginUser(String sLogin, String sPassword)
    {
        _sLogin = sLogin;
        _sPassword = sPassword;
    }

    //-------------------------------------------------------------
    /**
     * @return the login
     */
    public String getLogin()
    {
        return _sLogin;
    }

    //-------------------------------------------------------------
    /**
     * @return the password
     */
    protected String getPassword()
    {
        return _sPassword;
    }

    //-------------------------------------------------------------
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        return "LoginUser : login=" + _sLogin;
    }
    //-------------------------------------------------------------
}