package org.objectweb.telosys.dal.dao;

import java.sql.Connection;

import org.objectweb.telosys.common.TelosysException;

/**
 * @author Laurent GUERIN
 *  
 */
public interface DatabaseSession
{

    public int getDatabaseId();

    public Connection getConnection();

    public void commit() throws TelosysException;

    public void rollback() throws TelosysException;

    public void close() throws TelosysException;
}