package org.objectweb.telosys.msg;

import java.util.Hashtable;
import java.util.Properties;

import org.objectweb.telosys.common.Telosys;
import org.objectweb.telosys.common.Tool;

/**
 * ( for future use )
 * @author Laurent GUERIN
 *  
 */
public class Messages
{
    private Hashtable htMessage = new Hashtable();

    private String           sLanguage;

    public Messages(String sLang)
    {
        super();
        sLanguage = sLang;
        String chemin = Telosys.getConfigDirectory() + "/" + "messages" + sLanguage + ".properties";
        Properties propLoaded = Tool.loadProperties(chemin);
        htMessage.put(sLanguage, propLoaded);
    }

    public String get(String sKey)
    {
        Properties pGet = (Properties) htMessage.get(sLanguage);
        return pGet.getProperty(sKey);
    }

    public String getLanguage()
    {
        return sLanguage;
    }

    public void setLanguage(String language)
    {
        sLanguage = language;
    }

}