package org.objectweb.telosys.service;

import org.objectweb.telosys.common.TelosysException;
import org.objectweb.telosys.common.View;
import org.objectweb.telosys.screen.env.ScreenSession;

/**
 * @author Laurent GUERIN
 *
 */
public interface ScreenService
{
    public void init ( String name, String renderer, String sessionKey ) ;
    
    //public void execute ( ScreenSession screenSession, Map parameters, ServiceResponse response ) throws TelosysException ;
    //public String execute ( ScreenSession screenSession, Map parameters, ServiceResponse response ) throws TelosysException ;
    //public View execute ( ScreenSession screenSession, Map parameters, ServiceResponse response ) throws TelosysException ;
    public View execute ( ScreenSession screenSession, ServiceRequest request, ServiceResponse response ) throws TelosysException ;
    
    public String getRenderer() ;

    public String getName() ;
    
    public String getSessionKey() ;
    
}
