package org.objectweb.telosys.service.search;

import org.objectweb.telosys.screen.core.ScreenMessage;

/**
 * @author Laurent GUERIN
 *
 */
public class StandardSearchMessages implements SearchMessages
{
    public ScreenMessage noRow()
    {
        return new ScreenMessage( "No row found.", ScreenMessage.INFORMATION );
    }
    
    public ScreenMessage tooMuchRows( int max)
    {
        return new ScreenMessage( "Too much rows ( more than " + max + " )", ScreenMessage.WARNING );        
    }

    public ScreenMessage tooMuchRows(int n, int max)
    {
        return new ScreenMessage( "Too much rows : " + n + " ( " + max + " maximum )", ScreenMessage.WARNING );        
    }
    
    public ScreenMessage numberOfRows(int n)
    {
        if ( n == 1 )
        {
            return new ScreenMessage( "1 row found.", ScreenMessage.INFORMATION );                    
        }
        else
        {
            return new ScreenMessage( "" + n + " rows found.", ScreenMessage.INFORMATION );                    
        }
    }

}
