package org.objectweb.telosys.uil.screenmap;

import java.util.HashMap;

import org.objectweb.telosys.common.TelosysObject;

/**
 * @author Laurent GUERIN
 * 
 */
/* package */class ScreenDefinition extends TelosysObject
{
    //    public final static int TEMPLATE = 0;
    //
    //    public final static int PAGE = 1;

    private String            _sScreenName     = null;

    private ScreenDefLocation _htmlLocation    = null;

    private ScreenDefLocation _xulLocation     = null;

    private ScreenDefLocation _screenLocation  = null;

    private HashMap           _hmElements      = new HashMap();

    //---------------------------------------------------------------------------

//    // A TRANSFORMER EN ScreenDefLocation
//    private String            _sScreenTemplate = null;
//
//    private String            _sScreenBody     = null;
//
//    private String            _sScreenPage     = null;
//
//    private String            _sScreenUrl      = null;
//
//    private String            _sScreenCss      = null;
//
//    private String            _sScreenScript   = null;

    //---------------------------------------------------------------------------

    //    private String _sHtmlScreenMapUrl = null;
    //
    //    private String _sXulScreenMapUrl = null;
    //
    //    private String _sHtmlScreenCssUrl = null;
    //
    //    private String _sXulScreenCssUrl = null;
    //
    //    private String _sHtmlScreenScriptUrl = null;
    //
    //    private String _sXulScreenScriptUrl = null;
    //
    //    private String _sHtmlScreenBodyUrl = null;
    //
    //    private String _sXulScreenBodyUrl = null;
    //
    //---------------------------------------------------------------------------

    //    private ScreenMapAttributes _screenAttributes = null;


    //    //---------------------------------------------------------------------------
    //    public ScreenDefinition(String screenName, String sHtmlUrl, String
    // sXulUrl, String sScreenBody)
    //    {
    //        super();
    //        _sScreenName = screenName;
    //
    //        //--- The URL is used "as is"
    //        _sHtmlScreenMapUrl = sHtmlUrl;
    //        _sXulScreenMapUrl = sXulUrl;
    //
    //        if (sScreenBody != null)
    //        {
    //            _sHtmlScreenBodyUrl = buildURL(sScreenBody,
    // ScreenMapRootDir.getHtmlBodyRootDir());
    //            _sXulScreenBodyUrl = buildURL(sScreenBody,
    // ScreenMapRootDir.getXulBodyRootDir()); // _sXulBodyRootDir);
    //        }
    //
    //        _sHtmlScreenCssUrl = buildURL(screenName + ".css",
    // ScreenMapRootDir.getHtmlCssRootDir()); // _sHtmlCssRootDir);
    //        _sXulScreenCssUrl = buildURL(screenName + ".css",
    // ScreenMapRootDir.getXulCssRootDir()); // _sXulCssRootDir);
    //
    //        _sHtmlScreenScriptUrl = buildURL(screenName + ".js",
    // ScreenMapRootDir.getHtmlScriptRootDir()); // _sHtmlScriptRootDir);
    //        _sXulScreenScriptUrl = buildURL(screenName + ".js",
    // ScreenMapRootDir.getXulScriptRootDir()); // _sXulScriptRootDir);
    //
    //        // _screenAttributes = new ScreenMapAttributes();
    //    }

//    //---------------------------------------------------------------------------
//    public void setScreenBody(String s)
//    {
//        _sScreenBody = s;
//    }
//
//    //---------------------------------------------------------------------------
//    public void setScreenTemplate(String s)
//    {
//        _sScreenTemplate = s;
//    }
//
//    //---------------------------------------------------------------------------
//    public void setScreenPage(String s)
//    {
//        _sScreenPage = s;
//    }
//
//    //---------------------------------------------------------------------------
//    public void setScreenUrl(String s)
//    {
//        _sScreenUrl = s;
//    }

    //---------------------------------------------------------------------------

    /**
     * @param screenName
     * @param screenLoc
     */
    public ScreenDefinition( String screenName, ScreenDefLocation screenLoc )
    {
        super();
        _sScreenName = screenName;
        _screenLocation = screenLoc;
    }

    //    /**
    //     * @param screenName
    //     * @param htmlScreenMapUrl
    //     * @param xulScreenMapUrl
    //     */
    //    public ScreenDefinition(String screenName, String sScreenMapUrl, String
    // sScreenBody, int iUrlType)
    //    {
    //        super();
    //        _sScreenName = screenName;
    //
    //        if (iUrlType == TEMPLATE)
    //        {
    //            _sHtmlScreenMapUrl = buildURL(sScreenMapUrl,
    // ScreenMapRootDir.getHtmlTemplateRootDir()); // _sHtmlTemplateRootDir);
    //            _sXulScreenMapUrl = buildURL(sScreenMapUrl,
    // ScreenMapRootDir.getXulTemplateRootDir()); // _sXulTemplateRootDir);
    //        }
    //        else if (iUrlType == PAGE)
    //        {
    //            _sHtmlScreenMapUrl = buildURL(sScreenMapUrl,
    // ScreenMapRootDir.getHtmlPageRootDir()); // _sHtmlPageRootDir);
    //            _sXulScreenMapUrl = buildURL(sScreenMapUrl,
    // ScreenMapRootDir.getXulPageRootDir()); // _sXulPageRootDir);
    //        }
    //
    //        if (sScreenBody != null)
    //        {
    //            _sHtmlScreenBodyUrl = buildURL(sScreenBody,
    // ScreenMapRootDir.getHtmlBodyRootDir()); // _sHtmlBodyRootDir);
    //            _sXulScreenBodyUrl = buildURL(sScreenBody,
    // ScreenMapRootDir.getXulBodyRootDir()); // _sXulBodyRootDir);
    //        }
    //
    //        _sHtmlScreenCssUrl = buildURL(screenName + ".css",
    // ScreenMapRootDir.getHtmlCssRootDir()); // _sHtmlCssRootDir);
    //        _sXulScreenCssUrl = buildURL(screenName + ".css",
    // ScreenMapRootDir.getXulCssRootDir()); // _sXulCssRootDir);
    //
    //        _sHtmlScreenScriptUrl = buildURL(screenName + ".js",
    // ScreenMapRootDir.getHtmlScriptRootDir()); //_sHtmlScriptRootDir);
    //        _sXulScreenScriptUrl = buildURL(screenName + ".js",
    // ScreenMapRootDir.getXulScriptRootDir()); //_sXulScriptRootDir);
    //
    //        // _screenAttributes = new ScreenMapAttributes();
    //    }

    //---------------------------------------------------------------------------
    public final String getScreenName()
    {
        return _sScreenName;
    }

    //---------------------------------------------------------------------------
    // Screen Map
    //---------------------------------------------------------------------------
    public void setScreenDefLocation(ScreenDefLocation screenLoc)
    {
        if (screenLoc.isHtml())
        {
            _htmlLocation = screenLoc;
        }
        else if (screenLoc.isXul())
        {
            _xulLocation = screenLoc;
        }
    }

    //---------------------------------------------------------------------------
    public final ScreenDefLocation getScreenDefLocation(String sType)
    {
        ScreenDefLocation ret = null;
        if (sType.equals(ScreenMapConst.HTML_SCREEN_TYPE))
        {
            ret = _htmlLocation;
        }
        else if (sType.equals(ScreenMapConst.XUL_SCREEN_TYPE))
        {
            ret = _xulLocation;
        }
        return ret;
    }

    //---------------------------------------------------------------------------
    //    public final String getHtmlScreenMapUrl()
    //    {
    //        return _sHtmlScreenMapUrl;
    //    }
    //    public final String getXulScreenMapUrl()
    //    {
    //        return _sXulScreenMapUrl;
    //    }

    //    //---------------------------------------------------------------------------
    //    // Screen Body
    //    //---------------------------------------------------------------------------
    //    public String getHtmlScreenBodyUrl()
    //    {
    //        return _sHtmlScreenBodyUrl;
    //    }
    //
    //    //---------------------------------------------------------------------------
    //    public String getXulScreenBodyUrl()
    //    {
    //        return _sXulScreenBodyUrl;
    //    }
    //
    //    //---------------------------------------------------------------------------
    //    // Screen CSS
    //    //---------------------------------------------------------------------------
    //    public String getHtmlScreenCssUrl()
    //    {
    //        return _sHtmlScreenCssUrl;
    //    }
    //
    //    //---------------------------------------------------------------------------
    //    public String getXulScreenCssUrl()
    //    {
    //        return _sXulScreenCssUrl;
    //    }
    //
    //    //---------------------------------------------------------------------------
    //    // Screen Script
    //    //---------------------------------------------------------------------------
    //    public String getHtmlScreenScriptUrl()
    //    {
    //        return _sHtmlScreenScriptUrl;
    //    }
    //
    //    //---------------------------------------------------------------------------
    //    public String getXulScreenScriptUrl()
    //    {
    //        return _sXulScreenScriptUrl;
    //    }

    //---------------------------------------------------------------------------
    public void addElement(ScreenMapElement elem)
    {
        if (elem != null)
        {
            if (elem.getName() != null)
            {
                _hmElements.put(elem.getName(), elem);
            }
        }
    }

    public void setElements(HashMap hm)
    {
        _hmElements = hm;
    }

    public HashMap getElements()
    {
        return _hmElements;
    }
    
    public int getElemCount()
    {
        if ( _hmElements == null ) 
        {
            return 0 ;
        }
        else
        {
            return _hmElements.size();
        }
    }
    //---------------------------------------------------------------------------
    public boolean isBodyTarget(String sType)
    {
        //--- If this screen definition contains a template and a body ...
        if ( ( getScreenTemplate(sType) != null ) && ( getScreenBody(sType) != null ) )
        {
            return true ;
        }
        return false ;
    }
    //---------------------------------------------------------------------------
    public boolean isPageTarget(String sType)
    {
        //--- If this screen definition contains a "page" attribute ...
        if ( getScreenPage(sType) != null  )
        {
            return true ;
        }
        return false ;
    }
    //---------------------------------------------------------------------------
    private String getScreenTemplate(String sType)
    {
        String sRet = _screenLocation.getScreenTemplate();
        ScreenDefLocation loc = getScreenDefLocation(sType);
        if ( loc != null )
        {
            if ( loc.getScreenTemplate() != null )
            {
                sRet = loc.getScreenTemplate();
            }
        }
        return sRet ;
    }
    //---------------------------------------------------------------------------
    private String getScreenPage(String sType)
    {
        String sRet = _screenLocation.getScreenPage();
        ScreenDefLocation loc = getScreenDefLocation(sType);
        if ( loc != null )
        {
            if ( loc.getScreenPage() != null )
            {
                sRet = loc.getScreenTemplate();
            }
        }
        return sRet ;
    }
    //---------------------------------------------------------------------------
    public String getScreenTarget(String sType)
    {
        String sRet = _screenLocation.getScreenTarget();
        ScreenDefLocation loc = getScreenDefLocation(sType);
        if ( loc != null )
        {
            if ( loc.getScreenTarget() != null )
            {
                sRet = loc.getScreenTarget();
            }
        }
        return sRet ;
    }
    //---------------------------------------------------------------------------
    public String getScreenBody(String sType)
    {
        String sRet = _screenLocation.getScreenBody();
        ScreenDefLocation loc = getScreenDefLocation(sType);
        if ( loc != null )
        {
            if ( loc.getScreenBody() != null )
            {
                sRet = loc.getScreenBody();
            }
        }
        return sRet ;
    }
    //---------------------------------------------------------------------------
    public String getScreenCss(String sType)
    {
        String sRet = _screenLocation.getScreenCss();
        ScreenDefLocation loc = getScreenDefLocation(sType);
        if ( loc != null )
        {
            if ( loc.getScreenCss() != null )
            {
                sRet = loc.getScreenCss();
            }
        }
        return sRet ;
    }
    //---------------------------------------------------------------------------
    public String getScreenScript(String sType)
    {
        String sRet = _screenLocation.getScreenScript();
        ScreenDefLocation loc = getScreenDefLocation(sType);
        if ( loc != null )
        {
            if ( loc.getScreenScript() != null )
            {
                sRet = loc.getScreenCss();
            }
        }
        return sRet ;
    }
    //---------------------------------------------------------------------------
//    public String getScreenImagesRootDir(String sType)
//    {
//        String sRet = _screenLocation.getScreenImagesRootDir();
//        ScreenDefLocation loc = getScreenDefLocation(sType);
//        if ( loc != null )
//        {
//            if ( loc.getScreenImagesRootDir() != null )
//            {
//                sRet = loc.getScreenImagesRootDir();
//            }
//        }
//        return sRet ;
//    }
    //---------------------------------------------------------------------------
}
