package org.objectweb.telosys.uil.taglib.util;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.CommonTagSupport;
import org.objectweb.telosys.uil.taglib.TagCommons;

/**
 * @author Laurent GUERIN
 * 
 */
public class Url extends CommonTagSupport // TagSupport
{
    //----------------------------------------------------------------
    // Tag attributes
    //----------------------------------------------------------------
    private String _sPath = null;

    public void setPath(String v) // Attribute "path"
    {
        _sPath = v; 
    }

    //----------------------------------------------------------------
    // Tag open
    //----------------------------------------------------------------
    public int doStartTag()
    {
        JspWriter out = pageContext.getOut();

        if ( _sPath == null )
        {
            //--- Context ROOT URL ( without "/" at the end )
            print(out, TagCommons.getRootContextURL(pageContext) );                
        }
        else if ( _sPath.length() == 0 )
        {
            //--- Context ROOT URL ( without "/" at the end )
            print(out, TagCommons.getRootContextURL(pageContext) );                
        }
        else 
        {
            //--- Context ROOT URL + the given path
            print(out, getFullHttpURL(_sPath) );                            
        }
        return (SKIP_BODY);
    }
    //----------------------------------------------------------------
}