package org.objectweb.telosys.uil.taglib.widget;

import org.objectweb.telosys.uil.taglib.widget.html.ComboItemHTML;
import org.objectweb.telosys.uil.taglib.widget.xul.ComboItemXUL;

/**
 * @author Laurent GUERIN
 *  
 */
public class ComboItem extends GenericItemTag // GenericTag
{
    private static final String TAG_NAME = "comboitem";

    //----------------------------------------------------------------
    // TAG generators ( thread safe => static )
    //----------------------------------------------------------------
    private final static IWidget  $htmlGen  = new ComboItemHTML();

    private final static IWidget  $xulGen   = new ComboItemXUL();

    //----------------------------------------------------------------
    // TAG attributes
    //----------------------------------------------------------------

    /**
     * Constructor
     */
    public ComboItem()
    {
        super(TAG_NAME, $htmlGen, $xulGen);
    }

    //----------------------------------------------------------------
    // Ouverture du TAG
    //----------------------------------------------------------------
    public int doStartTag()
    {
        startTag();
        return (SKIP_BODY);
    }
    //----------------------------------------------------------------
}