package org.objectweb.telosys.uil.taglib.widget;

import org.objectweb.telosys.uil.taglib.widget.html.ListItemHTML;
import org.objectweb.telosys.uil.taglib.widget.xul.ListItemXUL;

/**
 * @author Laurent GUERIN
 *  
 */
public class ListItem extends GenericItemTag // GenericTag
{
    private static final String TAG_NAME = "listitem";

    //----------------------------------------------------------------
    // TAG generators ( thread safe => static )
    //----------------------------------------------------------------
    private final static IWidget  $htmlGen  = new ListItemHTML();

    private final static IWidget  $xulGen   = new ListItemXUL();

    //----------------------------------------------------------------
    // TAG attributes
    //----------------------------------------------------------------

    /**
     * Constructor
     */
    public ListItem()
    {
        super(TAG_NAME, $htmlGen, $xulGen);
    }

    //----------------------------------------------------------------
    // Ouverture du TAG
    //----------------------------------------------------------------
    public int doStartTag()
    {
        startTag();
        return (SKIP_BODY);
    }
    //----------------------------------------------------------------
}