package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.ComboItem;
import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;

/**
 * XUL imlementation for ComboItem widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class ComboItemXUL extends GenericXUL implements IWidget 
{
    //----------------------------------------------------------------
    public void startTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        ComboItem tag = (ComboItem) genericTag ;

        String sValue = tag.getValue();
        String sTxt = tag.getTxt();

        //--- Gnration du tag <menuitem .../>
        out.print("<menuitem "
        + getIdAttr(tag)+ " "
//        + getClassAttr(tag)+" "
//        + getStyleAttr(tag)+" "
//        + getTitleAttr(tag)+" " 
//        + getTabindexAttr(tag)+" "
        + " value=\"" + sValue + "\""
        + " label=\"" + sTxt + "\" />");

    }

    //----------------------------------------------------------------
    public void endTag(JspWriter out, GenericTag genericTag) throws IOException
    {
    }
    
}
