package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.Field;
import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;

/**
 * XUL imlementation for Field widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class FieldXUL extends GenericXUL implements IWidget
{
    //----------------------------------------------------------------
    public void startTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        Field tag = (Field) genericTag;

        out.print("<textbox");
        out.print( getIdAttr(tag) + " " );

        out.print("/>");

        //        //--- Recuperation des attributs
        //        String sButtonImg = getAttributeValue(TAG_NAME, "buttonimg", _sButtonImg);
        //        String sButtonTxt = getAttributeValue(TAG_NAME, "buttontxt", _sButtonTxt);
        //
        //        //String sX = getAttributeValue(TAG_NAME, "x", _sX);
        //        //String sY = getAttributeValue(TAG_NAME, "y", _sY);
        //
        //        //--- Gestion du conteneur si il y a un bouton d'aide
        //        if (sButtonImg != null || sButtonTxt != null)
        //        {
        //            out.print("<hbox ");
        //            //out.print(" style=\"" + TagCommons.styleXYHW(sX, sY, null, null, pageContext));
        //            out.print(" style=\"");
        //            out.print(stylePosition(XUL_OUTPUT));
        //            out.print(" white-space:nowrap;");
        //            out.print("\"><vbox><spacer flex=\"1\"/>");
        //        }
        //
        //        //--- Gnration du tag <textbox ... > ...</textbox>
        //        out.print("<textbox");
        //
        //        printCommonsAttributes(out, XUL_OUTPUT);
        //
        //        //--- Fermeture du tag <textbox>
        //        out.print("/>");
        //
    }

    //----------------------------------------------------------------
    public void endTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        //        //--- Rcuperation des attributs
        //        String sButtonImg = getAttributeValue(TAG_NAME, "buttonimg", _sButtonImg);
        //        String sButtonTxt = getAttributeValue(TAG_NAME, "buttontxt", _sButtonTxt);
        //        String sButtonClick = getAttributeValue(TAG_NAME, "buttonclick", _sButtonClick);
        //        String sButtonClass = getAttributeValue(TAG_NAME, "buttonclass", _sButtonClass);
        //
        //        //--- Gestion du bouton d'aide
        //        //--- Gestion de l'image
        //        if (sButtonImg != null)
        //        {
        //            //--- Gnration des tags <spacer/><image .../><spacer/>
        //            out.print("<spacer flex=\"1\"/></vbox><vbox><image ");
        //
        //            //--- Ajout des attributs obligatoire
        //            out.print(" id=\"" + getId() + "_button\"");
        //            out.print(" src=\"" + sButtonImg + "\"");
        //            out.print(" style=\"vertical-align:top;border:0px;\"");
        //            out.print(" onclick=\"" + sButtonClick + "\"");
        //
        //            //--- Ajout des attributs facultatifs, si present
        //            if (sButtonTxt != null)
        //                out.print(" title=\"" + sButtonTxt + "\"");
        //
        //            //--- Fermeture des tags
        //            out.print("/></vbox><spacer flex=\"1\"/></hbox>");
        //        }
        //        //--- Gestion du bouton
        //        else if (sButtonTxt != null)
        //        {
        //            //--- Gnration des tags <spacer/><button .../><spacer/>
        //            out.print("<spacer flex=\"1\"/></vbox><vbox><button ");
        //
        //            //Ajout des attributs obligatoire
        //            out.print(" id=\"" + getId() + "_button\"");
        //            out.print(" style=\"vertical-align:top;min-width:0px\"");
        //            out.print(" label=\"" + sButtonTxt + "\"");
        //            out.print(" onclick=\"" + sButtonClick + "\"");
        //
        //            //--- Ajout des attributs facultatifs, si present
        //            if (sButtonClass != null)
        //                out.print(" class=\"" + sButtonClass + "\"");
        //
        //            //--- Fermeture des tags
        //            out.print("/><spacer flex=\"1\"/></vbox></hbox>");
        //        }

    }
    //----------------------------------------------------------------
}