package org.objectweb.telosys.uil.taglib.widget.xul;

import org.objectweb.telosys.uil.taglib.widget.GeneratorAncestor;
import org.objectweb.telosys.uil.taglib.widget.GenericTag;

/**
 * Generic class for all XUL tags generators
 * 
 * @author Laurent GUERIN
 *  
 */
public class GenericXUL extends GeneratorAncestor
{

    protected String getStyleAttrWithPosition(GenericTag tag)
    {
        if (tag.isPositionAbsolute())
        {
            String sX = tag.getXValue(USE_VAR); // never null
            String sY = tag.getYValue(USE_VAR); // never null
            //--- X-Y POSITION for XUL :
            return "style=\"" + getStyleFragUserStyle(tag) + getStyleFragWidthHeight(tag) 
            + " left:" + sX.trim() + "px;top:" + sY.trim() + "px;\" ";
        }
        else
        {
            return getStyleAttrWithoutPosition(tag);
        }
    }

    // Void Methods ( for compile )
    // TODO 
    protected String getStyleFragUserStyle(GenericTag tag)
    {
        return null ;
    }
    protected String getStyleFragWidthHeight(GenericTag tag)
    {
        return null ;
    }
    protected String getStyleAttrWithoutPosition(GenericTag tag)
    {
        return null ;
    }
}
