package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;
import org.objectweb.telosys.uil.taglib.widget.Image;

/**
 * XUL generation for Image widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class ImageXUL extends GenericXUL implements IWidget 
{

    //----------------------------------------------------------------

    public void startTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        Image tag = (Image) genericTag ;

        String sSrc = tag.getSrc() ;
        //String sAlt = tag.getAlt() ;

        out.print("<image ");
        out.print( getIdAttr(tag)+ " " );
//        out.print( getClassAttr(tag)+" " );
//        out.print( getStyleAttr(tag)+" " );
//        out.print( getTitleAttr(tag)+" " );
        if ( sSrc != null )
        {
            out.print(" src=\"" + tag.getFullImageSrc() + "\"");
        }
//        if ( sAlt != null )
//        {
//            out.print(" alt=\"" + sAlt + "\"");
//        }

        out.print("/>");
        
        out.println("");
    }
    //----------------------------------------------------------------
    public void endTag(JspWriter out, GenericTag genericTag) throws IOException
    {
    }

}