package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;
import org.objectweb.telosys.uil.taglib.widget.Panel;

/**
 * XUL generation for Panel widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class PanelXUL extends GenericXUL implements IWidget
{
    //----------------------------------------------------------------
    public void startTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        Panel tag = (Panel) genericTag;
        //String sTxt = tag.getTxt();

        out.print( "<stack " );
        out.print(getIdAttr(tag) + " ");
//        out.print(getClassAttr(tag) + " ");
//        out.print(getStyleAttr(tag) + " ");
//        out.print(getTitleAttr(tag) + " ");

//TODO : "position:relative" quelle utilit ???
//        if(sX != null || sY != null)
//            out.print(" style=\"" + TagCommons.styleXYHW(sX, sY, sHeight, sWidth, pageContext) + "\"");
//        else
//            out.print(" style=\"position:relative;\"");

        out.println(" >");        
    }
    //----------------------------------------------------------------
    public void endTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        out.print( "</stack>");
    }
    //----------------------------------------------------------------
}