package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;
import org.objectweb.telosys.uil.taglib.widget.RadioGroup;

/**
 * XUL generation for RadioGroup widget
 * 
 * @author Laurent GUERIN
 *  
 */

public class RadioGroupXUL extends GenericXUL implements IWidget 
{
    //----------------------------------------------------------------
    public void startTag( JspWriter out, GenericTag genericTag ) throws IOException 
    { 
        RadioGroup tag = (RadioGroup) genericTag ;

      //--- Open the tag  
      out.print( "<radiogroup " 
	      + getIdAttr(tag)+ " "
//	      + getClassAttr(tag)+" "
//	      + getStyleAttr(tag)+" "
	      //+ getTitleAttr(tag)+" " 
	      //+ getTabindexAttr(tag)+" " 
	      );
      
      //--- Events set for this tag
      //tag.printEvents(out);
      out.println(" >");
      
    }  
    //----------------------------------------------------------------
    public void endTag( JspWriter out, GenericTag genericTag ) throws IOException 
    {
      //--- Close the tag
      out.print( "</radiogroup>");
    }
    //----------------------------------------------------------------
      
  }
