package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;
import org.objectweb.telosys.uil.taglib.widget.RadioItem;

/**
 * XUL generation for RadioItem widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class RadioItemXUL extends GenericXUL implements IWidget 
{

    //----------------------------------------------------------------

    public void startTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        RadioItem tag = (RadioItem) genericTag ;
        
        //--- Get the "txt" attribute value
        //String sTxt = getAttributeValue(TAG_NAME, "txt", _sTxt);
        String sId = tag.getId() ;
        String sTxt = tag.getTxt() ;
        //String sStyle = tag.getStyle() ;
        String sTxtPos = tag.getTxtpos() ;

      out.print( "<radio " );
      out.print( getIdAttr(tag)+ " " );
//      + getClassAttr(tag)+" "
//      + getStyleAttr(tag)+" "
      
      if (notVoid( sTxt ))
      {
          out.print(" label=\"" + sTxt + "\"");
      }
      //--- Fermeture du tag <radio>
      out.println( "/>" );
        
    }

    //----------------------------------------------------------------
    //----------------------------------------------------------------
    public void endTag(JspWriter out, GenericTag genericTag) throws IOException
    {
    }

}