package org.objectweb.telosys.uil.taglib.widget.xul;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.GenericTag;
import org.objectweb.telosys.uil.taglib.widget.IWidget;
import org.objectweb.telosys.uil.taglib.widget.ScreenBody;

/**
 * XUL generation for ScreenBody widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class ScreenBodyXUL extends GenericXUL implements IWidget
{
    //----------------------------------------------------------------
    public void startTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        ScreenBody tag = (ScreenBody) genericTag;

        out.print( "<stack " );
        out.print(getIdAttr(tag) + " ");
        out.print("style=\"position: relative; width: 100%; height: 100%; overflow: auto;\" " );
//        out.print(getClassAttr(tag) + " ");
//        out.print(getStyleAttr(tag) + " ");
        //out.print(getTitleAttr(tag) + " ");
        //out.print(getTabindexAttr(tag) + " ");
        out.println(" >");        

    }
    //----------------------------------------------------------------
    public void endTag(JspWriter out, GenericTag genericTag) throws IOException
    {
        out.print( "</stack>");
    }
    //----------------------------------------------------------------
}