//------------------------------------------------------------------------------
// Ancestor.js
//------------------------------------------------------------------------------
// Version : 1.0  ( 22/03/2005 )
// Author  : Laurent Gurin 
// Changes : . Creation
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
// CLASS DEFINITION 
//------------------------------------------------------------------------------
function Ancestor( sClassName, bTraceFlag )
{
	//==============================================================================
	// STANDARD ATTRIBUTES & METHODS
	//==============================================================================
	var _sClassName = sClassName ;
	var _bTrace = false ;
	//--- If there is a TraceFlag parameter => use it
	if ( bTraceFlag != null )
	{
		_bTrace = bTraceFlag ;
	}
	
	//------------------------------------------------------------------------------
	this.trace = function ( sMsg ) 
	{
		if ( _bTrace ) alert ( "TRACE : [" + _sClassName + "] \n\n" + sMsg ) ;
	}
	//------------------------------------------------------------------------------
	this.error = function ( sMsg ) 
	{
		alert ( "ERROR : [" + _sClassName + "] \n\n" + sMsg ) ;
	}
	//------------------------------------------------------------------------------
	this.getClassName = function() 
	{
		return _sClassName ;
	}
	//------------------------------------------------------------------------------
	this.getTrace = function() 
	{
		return _bTrace ;
	}
	//------------------------------------------------------------------------------
	this.setTrace = function( bFlag ) 
	{
		_bTrace = bFlag ;
	}
	//------------------------------------------------------------------------------
}
//------------------------------------------------------------------------------
//                                 THE END
//------------------------------------------------------------------------------
