package org.objectweb.telosys.dal.sql;

import java.sql.Connection;

/**
 * @author Laurent GUERIN
 *  
 */
public interface ConnectionProvider 
{
    /**
     * Returns the name of the ConnectionProvider (from 'dbconfig' file)
     * @return
     */
    public String getName() ;
    
    /**
     * Returns a standard JDBC Connection 
     * @return
     * @throws Exception
     */
    public Connection getConnection() throws Exception;

}