package org.objectweb.telosys.rpl.xml;

import org.objectweb.telosys.common.TelosysException;

/**
 * @author Laurent GUERIN
 *
 */
public interface IXmlWrapperProvider
{

//    /**
//     * Returns an XML wrapper associated with the given tag name
//     * @param sTag : the XML tag name
//     * @return : the XML wrapper
//     */
//    public IXmlWrapper getWrapper(String sTag );

    /**
     * Returns an XML wrapper associated with the given object class name
     * @param bean
     * @return
     * @throws TelosysException
     */
    public IXmlWrapper getWrapper(Object bean) ; //throws TelosysException ;

    /**
     * Returns an XML wrapper associated with the given class name
     * @param cl
     * @return
     * @throws TelosysException
     */
    public IXmlWrapper getWrapper(Class cl) ; //throws TelosysException ;
    
}