package org.objectweb.telosys.uil.taglib.util;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.CommonTagSupport;
import org.objectweb.telosys.uil.taglib.TagCommons;

/**
 * @author Laurent GUERIN
 *  
 */
public class UrlScreenmap extends CommonTagSupport // TagSupport
{
    //----------------------------------------------------------------
    // Tag attributes
    //----------------------------------------------------------------
    private String _sName   = null;

    private String _sType   = null;

    private String _sId     = null;

    private String _sAction = null;

    public void setName(String v) // Attribute "name"
    {
        _sName = v;
    }

    public void setType(String v) // Attribute "type"
    {
        _sType = v;
    }

    public void setId(String v) // Attribute "id"
    {
        _sId = v;
    }

    public void setAction(String v) // Attribute "action"
    {
        _sAction = v;
    }

    //----------------------------------------------------------------
    // Tag open
    //----------------------------------------------------------------
    public int doStartTag()
    {
        JspWriter out = pageContext.getOut();

//        String sServerSideScreenMapPath = TagCommons.getScreenMapResourcePath();
//        //String s = getFullHttpURL(sServerSideScreenMapPath);
//        String s = TagCommons.getFullHttpURL(pageContext, sServerSideScreenMapPath);

        String s = TagCommons.getScreenMapURL(pageContext);

        int n = 0;

        if (_sName != null)
        {
            s = s + (n < 1 ? "?" : "&");
            s = s + "name=" + _sName;
            n++;
        }
        if (_sType != null)
        {
            s = s + (n < 1 ? "?" : "&");
            s = s + "type=" + _sType;
            n++;
        }
        if (_sId != null)
        {
            s = s + (n < 1 ? "?" : "&");
            s = s + "id=" + _sId;
            n++;
        }
        if (_sAction != null)
        {
            s = s + (n < 1 ? "?" : "&");
            s = s + "action=" + _sAction;
            n++;
        }

        print(out, s);
        return (SKIP_BODY);
    }
    //----------------------------------------------------------------
}