package org.objectweb.telosys.uil.taglib.widget;

import javax.servlet.jsp.tagext.TagSupport;

import org.objectweb.telosys.uil.taglib.TagCommons;



/**
 * @author T. Poingt, L. Guerin
 * 
 */
public class Unset extends TagSupport
{
    private String              _sVarName  = null;

    public void setVar(String v)
    {
        _sVarName = v;
    }

    //----------------------------------------------------------------
    // Tag processing
    //----------------------------------------------------------------
    /* (non-Javadoc)
     * @see javax.servlet.jsp.tagext.Tag#doStartTag()
     */
    public int doStartTag()
    {
        if (_sVarName != null )
        {
            Variables variables = Variables.getVariables(pageContext);
            if ( variables != null )
            {
                variables.unset( _sVarName ) ;
            }
            else
            {
                TagCommons.printError(pageContext, "UNSET : Cannot get the variables !");
            }
        }
        else
        {
            TagCommons.printError(pageContext, "UNSET : Variable name is null !");            
        }
        return (SKIP_BODY);
    }

}