package org.objectweb.telosys.uil.taglib.widget.bak;

import java.io.IOException;

import javax.servlet.jsp.JspWriter;

import org.objectweb.telosys.uil.taglib.widget.ComboItems;
import org.objectweb.telosys.uil.taglib.widget.xul.GenericXUL;

/**
 * XUL imlementation for ComboItems widget
 * 
 * @author Laurent GUERIN
 *  
 */
public class ComboItemsXUL extends GenericXUL // Doesn't implement IWidget 
{
    //----------------------------------------------------------------
    public void printItem(JspWriter out, ComboItems tag, int iRow, String sVal, String sTxt) throws IOException
    {
        out.print("<option " );
        out.print( getIdAttr(tag, iRow)+ " " ); // id="tagID_iRow"
        // TODO
        //out.print( getClassAttr(tag)+ " " );
        //out.print( getStyleAttr(tag)+ " " );
        out.print("value=\"" + sVal + "\" ");
        out.println(">" + sTxt + "</option>");
    }
}